# coding: utf-8

from __future__ import absolute_import
from datetime import date, datetime  # noqa: F401

from typing import List, Dict  # noqa: F401

from swagger_server.models.base_model_ import Model
from swagger_server import util


class EVENTPMHOLSTERSENSORStatus(Model):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    def __init__(self, holster_id: int=1, status: str='busy'):  # noqa: E501
        """EVENTPMHOLSTERSENSORStatus - a model defined in Swagger

        :param holster_id: The holster_id of this EVENTPMHOLSTERSENSORStatus.  # noqa: E501
        :type holster_id: int
        :param status: The status of this EVENTPMHOLSTERSENSORStatus.  # noqa: E501
        :type status: str
        """
        self.swagger_types = {
            'holster_id': int,
            'status': str
        }

        self.attribute_map = {
            'holster_id': 'holster_id',
            'status': 'status'
        }
        self._holster_id = holster_id
        self._status = status

    @classmethod
    def from_dict(cls, dikt) -> 'EVENTPMHOLSTERSENSORStatus':
        """Returns the dict as a model

        :param dikt: A dict.
        :type: dict
        :return: The EVENT_PM_HOLSTER_SENSOR_status of this EVENTPMHOLSTERSENSORStatus.  # noqa: E501
        :rtype: EVENTPMHOLSTERSENSORStatus
        """
        return util.deserialize_model(dikt, cls)

    @property
    def holster_id(self) -> int:
        """Gets the holster_id of this EVENTPMHOLSTERSENSORStatus.


        :return: The holster_id of this EVENTPMHOLSTERSENSORStatus.
        :rtype: int
        """
        return self._holster_id

    @holster_id.setter
    def holster_id(self, holster_id: int):
        """Sets the holster_id of this EVENTPMHOLSTERSENSORStatus.


        :param holster_id: The holster_id of this EVENTPMHOLSTERSENSORStatus.
        :type holster_id: int
        """

        self._holster_id = holster_id

    @property
    def status(self) -> str:
        """Gets the status of this EVENTPMHOLSTERSENSORStatus.

        Status of holster  # noqa: E501

        :return: The status of this EVENTPMHOLSTERSENSORStatus.
        :rtype: str
        """
        return self._status

    @status.setter
    def status(self, status: str):
        """Sets the status of this EVENTPMHOLSTERSENSORStatus.

        Status of holster  # noqa: E501

        :param status: The status of this EVENTPMHOLSTERSENSORStatus.
        :type status: str
        """
        allowed_values = ["busy", "free", "charging", "error"]  # noqa: E501
        if status not in allowed_values:
            raise ValueError(
                "Invalid value for `status` ({0}), must be one of {1}"
                .format(status, allowed_values)
            )

        self._status = status
